<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xs="http://www.w3.org/2001/XMLSchema"
    xmlns:xd="http://www.oxygenxml.com/ns/doc/xsl"
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:func="http://oxygenxml.com/samples/books"
    exclude-result-prefixes="xs xd"
    xpath-default-namespace="http://oxygenxml.com/samples/books"
    version="2.0">
    <xd:doc>
        <xd:desc>
            <xd:b>Specifies if the books should be grouped by technology.</xd:b>
        </xd:desc>
    </xd:doc>
    <xsl:param name="groupByTechnology" select="false()"/>
    
    <xd:doc>
        <xd:desc>
            <xd:b>Depending on the value of the parameter an index of the books will be created or
                not.</xd:b>
        </xd:desc>
    </xd:doc>
    <xsl:param name="generateIndex" select="true()"/>
</xsl:stylesheet>